Package: org.codehaus.groovy.control.customizers.builder

## [Groovy] Class CompilerCustomizationBuilder

- org.codehaus.groovy.control.customizers.builder.CompilerCustomizationBuilder

- A builder which allows easy configuration of compilation customizers. Instead of creating various compilation customizers by hand, you may use this builder instead, which provides a shorter syntax and removes most of the verbosity.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompilerCustomizationBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `postNodeCompletion(Object parent, Object node)`
    `` | `static CompilerConfiguration` | `withConfig(CompilerConfiguration config, Closure code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FactoryBuilderSupport` | `setProperty, getProperty, getName, getContext, build, build, build, getParentNode, invokeMethod, invokeMethod, dispose, registerFactory, registerFactory, getVariables, getVariable, setVariable, getParentName, getCurrent, registerBeanFactory, registerBeanFactory, addPreInstantiateDelegate, removePostInstantiateDelegate, setPropertyMissingDelegate, getLocalExplicitMethods, addPostInstantiateDelegate, registerExplicitProperty, registerExplicitProperty, getContextAttribute, getNameMappingClosure, setNameMappingClosure, getExplicitProperties, getRegistrationGroups, checkValueIsTypeNotString, getPropertyMissingDelegate, removeAttributeDelegate, getCurrentFactory, setMethodMissingDelegate, getLocalFactories, removePreInstantiateDelegate, registerExplicitMethod, registerExplicitMethod, getAttributeDelegates, autoRegisterNodes, getPostInstantiateDelegates, getExplicitMethods, getCurrentBuilder, addDisposalClosure, getDisposalClosures, addPostNodeCompletionDelegate, getPreInstantiateDelegates, removePostNodeCompletionDelegate, getPostNodeCompletionDelegates, getMethodMissingDelegate, addAttributeDelegate, getLocalExplicitProperties, getRegistrationGroupItems, checkValueIsType, getFactories, getParentContext, getChildBuilder, getParentFactory, checkValueIsNull, withBuilder, withBuilder, withBuilder, getCurrentName, hasVariable, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Binding` | `setProperty, getProperty, getVariables, getVariable, setVariable, hasVariable, invokeMethod, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CompilerCustomizationBuilder()

  - ### Method Detail

    - #### @Override protected Object postNodeCompletion(Object parent, Object node)

    - #### static CompilerConfiguration withConfig(CompilerConfiguration config, Closure code)